Loading...
Searching...
No Matches
itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage > Class Template Reference
Components » Transforms

`#include <itkTranslationTransformInitializer.h>`

## Detailed Description

template<class TTransform, class TFixedImage, class TMovingImage>
class itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >

TranslationTransformInitializer is a helper class intended to initialize the translation of a TranslationTransforms.

This class is connected to the fixed image, moving image and transform involved in the registration. Two modes of operation are possible:

- Geometrical,
- Center of mass

In the first mode, the geometrical centers of the images are computed. The distance between them is set as an initial translation. This mode basically assumes that the anatomical objects to be registered are centered in their respective images. Hence the best initial guess for the registration is the one that superimposes those two centers.

In the second mode, the moments of gray level values are computed for both images. The vector between the two centers of mass is passes as the initial translation to the transform. This second approach assumes that the moments of the anatomical objects are similar for both images and hence the best initial guess for registration is to superimpose both mass centers. Note that this assumption will probably not hold in multi-modality registration.

Definition at line 61 of file itkTranslationTransformInitializer.h.

Inheritance diagram for itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | FixedImageCalculatorPointer = typename FixedImageCalculatorType::Pointer
using | FixedImageCalculatorType = ImageMomentsCalculator<FixedImageType>
using | FixedImagePointer = typename FixedImageType::ConstPointer
using | FixedImageType = TFixedImage
using | FixedMaskPointer = typename FixedMaskType::ConstPointer
using | FixedMaskType = Image<unsigned char, InputSpaceDimension>
using | InputPointType = typename TransformType::InputPointType
using | MovingImageCalculatorPointer = typename MovingImageCalculatorType::Pointer
using | MovingImageCalculatorType = ImageMomentsCalculator<MovingImageType>
using | MovingImagePointer = typename MovingImageType::ConstPointer
using | MovingImageType = TMovingImage
using | MovingMaskPointer = typename MovingMaskType::ConstPointer
using | MovingMaskType = Image<unsigned char, OutputSpaceDimension>
using | OutputVectorType = typename TransformType::OutputVectorType
using | Pointer = SmartPointer<Self>
using | Self = TranslationTransformInitializer
using | Superclass = Object
using | TransformPointer = typename TransformType::Pointer
using | TransformType = TTransform

## Public Member Functions

void | GeometryOn ()
virtual const char * | GetClassName () const
virtual const FixedImageCalculatorType * | GetFixedCalculator ()
virtual const MovingImageCalculatorType * | GetMovingCalculator ()
virtual void | InitializeTransform () const
| ITK_DISALLOW_COPY_AND_MOVE (TranslationTransformInitializer)
| itkStaticConstMacro (InputSpaceDimension, unsigned int, TransformType::InputSpaceDimension)
| itkStaticConstMacro (OutputSpaceDimension, unsigned int, TransformType::OutputSpaceDimension)
| itkStaticConstMacro (SpaceDimension, unsigned int, TransformType::SpaceDimension)
void | MomentsOn ()
virtual void | SetFixedImage (const FixedImageType *_arg)
virtual void | SetFixedMask (const FixedMaskType *_arg)
virtual void | SetMovingImage (const MovingImageType *_arg)
virtual void | SetMovingMask (const MovingMaskType *_arg)
virtual void | SetTransform (TransformType *_arg)

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

void | PrintSelf (std::ostream &os, Indent indent) const override
| TranslationTransformInitializer ()
| ~TranslationTransformInitializer () override=default

## Private Attributes

FixedImageCalculatorPointer | m_FixedCalculator {}
FixedImagePointer | m_FixedImage {}
FixedMaskPointer | m_FixedMask {}
MovingImageCalculatorPointer | m_MovingCalculator {}
MovingImagePointer | m_MovingImage {}
MovingMaskPointer | m_MovingMask {}
TransformPointer | m_Transform {}
bool | m_UseMoments {}

## Member Typedef Documentation

## ConstPointer

template<class TTransform, class TFixedImage, class TMovingImage>

using itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::ConstPointer = SmartPointer<const Self>

Definition at line 70 of file itkTranslationTransformInitializer.h.

## FixedImageCalculatorPointer

template<class TTransform, class TFixedImage, class TMovingImage>

using itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::FixedImageCalculatorPointer = typename FixedImageCalculatorType::Pointer

Definition at line 101 of file itkTranslationTransformInitializer.h.

## FixedImageCalculatorType

template<class TTransform, class TFixedImage, class TMovingImage>

using itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::FixedImageCalculatorType = ImageMomentsCalculator<FixedImageType>

Moment calculators

Definition at line 98 of file itkTranslationTransformInitializer.h.

## FixedImagePointer

template<class TTransform, class TFixedImage, class TMovingImage>

using itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::FixedImagePointer = typename FixedImageType::ConstPointer

Definition at line 90 of file itkTranslationTransformInitializer.h.

## FixedImageType

template<class TTransform, class TFixedImage, class TMovingImage>

using itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::FixedImageType = TFixedImage

Image Types to use in the initialization of the transform

Definition at line 88 of file itkTranslationTransformInitializer.h.

## FixedMaskPointer

template<class TTransform, class TFixedImage, class TMovingImage>

using itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::FixedMaskPointer = typename FixedMaskType::ConstPointer

Definition at line 94 of file itkTranslationTransformInitializer.h.

## FixedMaskType

template<class TTransform, class TFixedImage, class TMovingImage>

using itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::FixedMaskType = Image<unsigned char, InputSpaceDimension>

Definition at line 92 of file itkTranslationTransformInitializer.h.

## InputPointType

template<class TTransform, class TFixedImage, class TMovingImage>

using itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::InputPointType = typename TransformType::InputPointType

Point type.

Definition at line 105 of file itkTranslationTransformInitializer.h.

## MovingImageCalculatorPointer

template<class TTransform, class TFixedImage, class TMovingImage>

using itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::MovingImageCalculatorPointer = typename MovingImageCalculatorType::Pointer

Definition at line 102 of file itkTranslationTransformInitializer.h.

## MovingImageCalculatorType

template<class TTransform, class TFixedImage, class TMovingImage>

using itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::MovingImageCalculatorType = ImageMomentsCalculator<MovingImageType>

Definition at line 99 of file itkTranslationTransformInitializer.h.

## MovingImagePointer

template<class TTransform, class TFixedImage, class TMovingImage>

using itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::MovingImagePointer = typename MovingImageType::ConstPointer

Definition at line 91 of file itkTranslationTransformInitializer.h.

## MovingImageType

template<class TTransform, class TFixedImage, class TMovingImage>

using itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::MovingImageType = TMovingImage

Definition at line 89 of file itkTranslationTransformInitializer.h.

## MovingMaskPointer

template<class TTransform, class TFixedImage, class TMovingImage>

using itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::MovingMaskPointer = typename MovingMaskType::ConstPointer

Definition at line 95 of file itkTranslationTransformInitializer.h.

## MovingMaskType

template<class TTransform, class TFixedImage, class TMovingImage>

using itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::MovingMaskType = Image<unsigned char, OutputSpaceDimension>

Definition at line 93 of file itkTranslationTransformInitializer.h.

## OutputVectorType

template<class TTransform, class TFixedImage, class TMovingImage>

using itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::OutputVectorType = typename TransformType::OutputVectorType

Vector type.

Definition at line 108 of file itkTranslationTransformInitializer.h.

## Pointer

template<class TTransform, class TFixedImage, class TMovingImage>

using itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::Pointer = SmartPointer<Self>

Definition at line 69 of file itkTranslationTransformInitializer.h.

## Self

template<class TTransform, class TFixedImage, class TMovingImage>

using itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::Self = TranslationTransformInitializer

Standard class typedefs.

Definition at line 67 of file itkTranslationTransformInitializer.h.

## Superclass

template<class TTransform, class TFixedImage, class TMovingImage>

using itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::Superclass = Object

Definition at line 68 of file itkTranslationTransformInitializer.h.

## TransformPointer

template<class TTransform, class TFixedImage, class TMovingImage>

using itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::TransformPointer = typename TransformType::Pointer

Definition at line 80 of file itkTranslationTransformInitializer.h.

## TransformType

template<class TTransform, class TFixedImage, class TMovingImage>

using itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::TransformType = TTransform

Type of the transform to initialize

Definition at line 79 of file itkTranslationTransformInitializer.h.

## Constructor & Destructor Documentation

## TranslationTransformInitializer()

template<class TTransform, class TFixedImage, class TMovingImage>

itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::TranslationTransformInitializer | ( |  | ) |

protected

## ~TranslationTransformInitializer()

template<class TTransform, class TFixedImage, class TMovingImage>

itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::~TranslationTransformInitializer | ( |  | ) |

override protected default

## Member Function Documentation

## GeometryOn()

template<class TTransform, class TFixedImage, class TMovingImage>

void itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::GeometryOn | ( |  | ) |

inline

Select between using the geometrical center of the images or using the center of mass given by the image intensities.

Definition at line 132 of file itkTranslationTransformInitializer.h.

## GetClassName()

template<class TTransform, class TFixedImage, class TMovingImage>

virtual const char * itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

## GetFixedCalculator()

template<class TTransform, class TFixedImage, class TMovingImage>

virtual const FixedImageCalculatorType * itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::GetFixedCalculator | ( |  | ) |

virtual

Get() access to the moments calculators

## GetMovingCalculator()

template<class TTransform, class TFixedImage, class TMovingImage>

virtual const MovingImageCalculatorType * itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::GetMovingCalculator | ( |  | ) |

virtual

## InitializeTransform()

template<class TTransform, class TFixedImage, class TMovingImage>

virtual void itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::InitializeTransform | ( |  | ) | const

virtual

Initialize the transform using data from the images

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TTransform, class TFixedImage, class TMovingImage>

itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::ITK_DISALLOW_COPY_AND_MOVE | ( | TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage > |  | ) |

## itkStaticConstMacro() [1/3]

template<class TTransform, class TFixedImage, class TMovingImage>

itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::itkStaticConstMacro | ( | InputSpaceDimension | ,
|  | unsigned int | ,
|  | TransformType::InputSpaceDimension | )

## itkStaticConstMacro() [2/3]

template<class TTransform, class TFixedImage, class TMovingImage>

itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::itkStaticConstMacro | ( | OutputSpaceDimension | ,
|  | unsigned int | ,
|  | TransformType::OutputSpaceDimension | )

## itkStaticConstMacro() [3/3]

template<class TTransform, class TFixedImage, class TMovingImage>

itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::itkStaticConstMacro | ( | SpaceDimension | ,
|  | unsigned int | ,
|  | TransformType::SpaceDimension | )

Dimension of parameters.

## MomentsOn()

template<class TTransform, class TFixedImage, class TMovingImage>

void itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::MomentsOn | ( |  | ) |

inline

Definition at line 137 of file itkTranslationTransformInitializer.h.

## New()

template<class TTransform, class TFixedImage, class TMovingImage>

Pointer itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::New | ( |  | ) |

static

New macro for creation of through a Smart Pointer.

## PrintSelf()

template<class TTransform, class TFixedImage, class TMovingImage>

void itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

## SetFixedImage()

template<class TTransform, class TFixedImage, class TMovingImage>

virtual void itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::SetFixedImage | ( | const FixedImageType * | _arg | ) |

virtual

Set the fixed image used in the registration process

## SetFixedMask()

template<class TTransform, class TFixedImage, class TMovingImage>

virtual void itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::SetFixedMask | ( | const FixedMaskType * | _arg | ) |

virtual

Set the fixed image mask used in the registration process

## SetMovingImage()

template<class TTransform, class TFixedImage, class TMovingImage>

virtual void itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::SetMovingImage | ( | const MovingImageType * | _arg | ) |

virtual

Set the moving image used in the registration process

## SetMovingMask()

template<class TTransform, class TFixedImage, class TMovingImage>

virtual void itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::SetMovingMask | ( | const MovingMaskType * | _arg | ) |

virtual

Set the moving image mask used in the registration process

## SetTransform()

template<class TTransform, class TFixedImage, class TMovingImage>

virtual void itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::SetTransform | ( | TransformType * | _arg | ) |

virtual

Set the transform to be initialized

## Field Documentation

## m_FixedCalculator

template<class TTransform, class TFixedImage, class TMovingImage>

FixedImageCalculatorPointer itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::m_FixedCalculator {}

private

Definition at line 161 of file itkTranslationTransformInitializer.h.

## m_FixedImage

template<class TTransform, class TFixedImage, class TMovingImage>

FixedImagePointer itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::m_FixedImage {}

private

Definition at line 155 of file itkTranslationTransformInitializer.h.

## m_FixedMask

template<class TTransform, class TFixedImage, class TMovingImage>

FixedMaskPointer itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::m_FixedMask {}

private

Definition at line 157 of file itkTranslationTransformInitializer.h.

## m_MovingCalculator

template<class TTransform, class TFixedImage, class TMovingImage>

MovingImageCalculatorPointer itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::m_MovingCalculator {}

private

Definition at line 162 of file itkTranslationTransformInitializer.h.

## m_MovingImage

template<class TTransform, class TFixedImage, class TMovingImage>

MovingImagePointer itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::m_MovingImage {}

private

Definition at line 156 of file itkTranslationTransformInitializer.h.

## m_MovingMask

template<class TTransform, class TFixedImage, class TMovingImage>

MovingMaskPointer itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::m_MovingMask {}

private

Definition at line 158 of file itkTranslationTransformInitializer.h.

## m_Transform

template<class TTransform, class TFixedImage, class TMovingImage>

TransformPointer itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::m_Transform {}

private

Definition at line 154 of file itkTranslationTransformInitializer.h.

## m_UseMoments

template<class TTransform, class TFixedImage, class TMovingImage>

bool itk::TranslationTransformInitializer< TTransform, TFixedImage, TMovingImage >::m_UseMoments {}

private

Definition at line 159 of file itkTranslationTransformInitializer.h.

Generated on 1768596610 for elastix by 1.15.0 |